{
  "type": "minecraft:disk",
  "config": {
    "radius": {
      "type": "uniform",
      "min_inclusive": 4,
      "max_inclusive": 8
    },
    "half_height": 0,
    "target": {
      "type": "minecraft:true"
    },
    "state_provider": {
      "fallback": {
        "type": "minecraft:simple_state_provider",
        "state": {
          "Name": "minecraft:podzol"
        }
      },
      "rules": [
        {
          "if_true": {
            "type": "minecraft:matching_blocks",
            "blocks": "minecraft:air"
          },
          "then": {
            "type": "minecraft:simple_state_provider",
            "state": {
              "Name": "minecraft:grass_block"
            }
          }
        }
      ]
    }
  }
}